PDA

View Full Version : SLES 12 and XenServer 6.2



boblmartens
27-Oct-2014, 15:43
I'm wondering if anyone has any information on getting SLES 12 installed on a XenServer 6.2 install. The installation process has changed and the xs-tools package will not install on a new SLES 12 VM.

Any help would be greatly appreciated.

smflood
28-Oct-2014, 11:44
On 27/10/2014 14:44, boblmartens wrote:

> I'm wondering if anyone has any information on getting SLES 12 installed
> on a XenServer 6.2 install. The installation process has changed and the
> xs-tools package will not install on a new SLES 12 VM.
>
> Any help would be greatly appreciated.

SLES12 includes a xen-tools package so perhaps install that rather than
xs-tools. It in turn has other requirements.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

boblmartens
28-Oct-2014, 14:25
On 27/10/2014 14:44, boblmartens wrote:

> I'm wondering if anyone has any information on getting SLES 12 installed
> on a XenServer 6.2 install. The installation process has changed and the
> xs-tools package will not install on a new SLES 12 VM.
>
> Any help would be greatly appreciated.

SLES12 includes a xen-tools package so perhaps install that rather than
xs-tools. It in turn has other requirements.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------
I thought I had seen that. I'll give it another try and then restart the machine and see if I get a better response. Otherwise I'll wait for Creedence and hope they have the xs-tools install updated by then.

xgadlga
19-Nov-2014, 08:37
Hi,

I installed SLES12 manually, as you said you canīt use the script install.sh for the xs-tools.
So, you need to install the rpm files manually.

host:/mnt/XenTools/Linux # rpm -i xe-guest-utilities-xenstore-6.2.0-1137.x86_64.rpm
host:/mnt/XenTools/Linux # rpm -i xe-guest-utilities-6.2.0-1137.x86_64.rpm

It seems to work fine.

I hope the next major version will support SLES12 and also SLES11 SP3 officially.

regards

Lars

boblmartens
19-Nov-2014, 17:40
Hi,

I installed SLES12 manually, as you said you canīt use the script install.sh for the xs-tools.
So, you need to install the rpm files manually.

host:/mnt/XenTools/Linux # rpm -i xe-guest-utilities-xenstore-6.2.0-1137.x86_64.rpm
host:/mnt/XenTools/Linux # rpm -i xe-guest-utilities-6.2.0-1137.x86_64.rpm

It seems to work fine.

I hope the next major version will support SLES12 and also SLES11 SP3 officially.

regards

Lars
That is what I ended up doing. I'm also hoping it will be included in the next release.